#include <fcntl.h>
#include <unistd.h>
#include <error.h>
#include <stdlib.h>
#include <stdio.h>

int main(void)
{
	int fds[2];
	if (pipe(fds)==-1)
	{
		perror("Error creating pipe!\n");
		exit(EXIT_FAILURE);
	}
	int x;
	if (fork())
	{
		close(fds[1]);
		while (x!=100)
		{
			read(fds[0],&x,sizeof(int));
			printf("read %d\n",x);
		}
		close(fds[0]);
	}
	else
	{
		close(fds[0]);
		for (x=0;x<=100;x++)
		{
			write(fds[1],&x,sizeof(int));
			printf("written %d\n",x);
		}
		close(fds[1]);
	}
	return 0;
}

