#include <unistd.h>
#include <fcntl.h>
#include <stdio.h>
#include <sys/types.h>

int main()
{
  int fd=open("/home/dvd/experimental_file",O_RDONLY|O_CREAT);
  off_t position=lseek(fd,0,SEEK_CUR);
  printf("start position: %d\n",position);
  pid_t pid=fork();
  if(pid==0)
  {
    /*child*/
    int i;
    for(i=0;i<10;i++)
    {
      printf("child at: %d\n",position);
      position=lseek(fd,3,SEEK_CUR);
      printf("child goes to: %d\n",position);
    }
  }
  else
  {
    /*parent*/
    int i;
    for(i=0;i<10;i++)
    {
      printf("father at: %d\n",position);
      position=lseek(fd,6,SEEK_CUR);
      printf("father goes to: %d\n",position);
    }
  }
  close(fd);
}