#include <stdio.h>
#include <stdlib.h>
#include <error.h>
#include <sys/ipc.h>
#include <sys/types.h>
#include <sys/shm.h>
int main(void)
{
	int shmid=shmget(IPC_PRIVATE, sizeof(int), IPC_CREAT | 0600);
	if (shmid==-1)
	{
		perror("shmget: ");
		exit(EXIT_FAILURE);
	}
	int * x = (int *)shmat(shmid, NULL, 0);
	if (x == NULL)
	{
		perror("shmat:");
	}
	shmctl(shmid, IPC_RMID, NULL);
	*x=0;
	int i,r;
	pid_t pid = fork();
	for (i=0;i<100;i++)
	{
		r = *x;
		switch (pid)
		{
			case -1:
				perror("fork");
				exit(EXIT_FAILURE);
			case 0:
				r+=8;
				*x=r;
				printf("child: I write %d!\n",r);
				break;
			default:
				r+=1;
				*x=r;
				printf("father: May the force or at least %d %% of it be with you, my son!\n",r);
		}
	}
	shmdt(x);
	return 0;
}
